<?php

namespace Litecms\PaymentSetting;

use User;

class PaymentSetting
{
    /**
     * $payment_setting object.
     */
    protected $payment_setting;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\PaymentSetting\Interfaces\PaymentSettingRepositoryInterface $payment_setting)
    {
        $this->payment_setting = $payment_setting;
    }

    /**
     * Returns count of payment_setting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.payment_setting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->payment_setting->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PaymentSettingUserCriteria());
        }

        $payment_setting = $this->payment_setting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('payment_setting::' . $view, compact('payment_setting'))->render();
    }
}
