<?php

namespace Litecms\PaymentSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PaymentSettingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\PaymentSetting\Models\PaymentSetting $payment_setting)
    {
        return [
            'id'                => $payment_setting->getRouteKey(),
            'key'               => [
                'public'    => $payment_setting->getPublicKey(),
                'route'     => $payment_setting->getRouteKey(),
            ], 
            'perfect_money_member_id' => $payment_setting->perfect_money_member_id,
            'perfect_money_account_id' => $payment_setting->perfect_money_account_id,
            'perfect_money_phrase_hash' => $payment_setting->perfect_money_phrase_hash,
            'pm_logo'           => $payment_setting->pm_logo,
            'paypal_business_id' => $payment_setting->paypal_business_id,
            'paypal_username'   => $payment_setting->paypal_username,
            'paypal_pwd'        => $payment_setting->paypal_pwd,
            'paypal_sign'       => $payment_setting->paypal_sign,
            'paypal_logo'       => $payment_setting->paypal_logo,
            'bitcoin_merchant_id' => $payment_setting->bitcoin_merchant_id,
            'bitcoin_public_key' => $payment_setting->bitcoin_public_key,
            'bitcoin_private_key' => $payment_setting->bitcoin_private_key,
            'bitcoin_ipn_key'   => $payment_setting->bitcoin_ipn_key,
            'bitcoin_logo'      => $payment_setting->bitcoin_logo,
            'payeer_shop_id'    => $payment_setting->payeer_shop_id,
            'payeer_shop_secret_key' => $payment_setting->payeer_shop_secret_key,
            'payeer_account'    => $payment_setting->payeer_account,
            'payeer_api_user'   => $payment_setting->payeer_api_user,
            'payeer_api_secret' => $payment_setting->payeer_api_secret,
            'payeer_logo'       => $payment_setting->payeer_logo,
            'advcash_email'     => $payment_setting->advcash_email,
            'advcash_sci_name'  => $payment_setting->advcash_sci_name,
            'advcash_sci_batch_key' => $payment_setting->advcash_sci_batch_key,
            'advcash_withdraw_email' => $payment_setting->advcash_withdraw_email,
            'advcash_api_name'  => $payment_setting->advcash_api_name,
            'advcash_api_password' => $payment_setting->advcash_api_password,
            'advcash_logo'      => $payment_setting->advcash_logo,
            'blockchain_address' => $payment_setting->blockchain_address,
            'blockchain_guid'   => $payment_setting->blockchain_guid,
            'blockchain_password' => $payment_setting->blockchain_password,
            'blockchain_btc_fee' => $payment_setting->blockchain_btc_fee,
            'blockchain_logo'   => $payment_setting->blockchain_logo,
            'fund_fees'         => $payment_setting->fund_fees,
            'url'               => [
                'public'    => trans_url('payment_setting/'.$payment_setting->getPublicKey()),
                'user'      => guard_url('payment_setting/payment_setting/'.$payment_setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$payment_setting->status),
            'created_at'        => format_date($payment_setting->created_at),
            'updated_at'        => format_date($payment_setting->updated_at),
        ];
    }
}